View Issue Details

IDProjectCategoryView StatusLast Update
0003098SOGoBackend Calendarpublic2016-01-08 12:04
ReporterSven Assigned Toludovic  
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version12.04 LTS
Product Version2.2.15 
Fixed in Version2.3.6 
Summary0003098: Subscribe to Web Calendar does not follow redirect response from external server (HTTP Code 307)
Description

I tried to subscribe to an external calender (.ics) which is provided by a webservice. I was able to subscribe to this using Thunderbird by creating a new web calendar (ics format). After that I tried to do the same in the SOGo web frontend but did not succeed.

Apparently the web service returns a redirect on the first http GET.

If I use curl to resolve the redirect (actually it is a series of two seuqential redirects) and use the final URL as a resource for the calendar, the subscription works as expected.

Steps To Reproduce

Unfortunately the calendar resource in question is not accessible from the public, therefore I am not able to provide it to reproduce the error.

Additional Information

The error message on the web frontend is:

An error occurred while loading remote calendar: an unknown http error occurred during the load operation.

The sogo log file says:

<0x4B50A350[SOGoWebAppointmentFolder]:<...>> Load web calendar https:<URL REMOVED> (307)

TagsNo tags attached.

Activities

Sven

Sven

2015-02-10 09:05

reporter   ~0008165

Apparently I made a typo in the issue summary and am not able to correct it. The correct summary would be:

Subscribe to Web Calendar does not follow redirect response from external server (HTTP Code 307)

Christian Mack

Christian Mack

2015-02-13 05:28

developer   ~0008181

Changed the summary as requested.

ludovic

ludovic

2016-01-08 12:04

administrator   ~0009258

https://github.com/inverse-inc/sogo/commit/490043b2e189e67239c5aa9b1c487ed6e5717c07

Issue History

Date Modified Username Field Change
2015-02-10 08:56 Sven New Issue
2015-02-10 09:05 Sven Note Added: 0008165
2015-02-10 09:55 francis Summary Subscribe to Web Calendar does follow redirect response from external server (HTTP Code 307) => Subscribe to Web Calendar does not follow redirect response from external server (HTTP Code 307)
2015-02-13 05:28 Christian Mack Note Added: 0008181
2015-02-13 05:28 Christian Mack Summary Subscribe to Web Calendar does not follow redirect response from external server (HTTP Code 307) => Subscribe to Web Calendar does not follow redirect response from external server (HTTP Code 307)
2016-01-08 12:04 ludovic Note Added: 0009258
2016-01-08 12:04 ludovic Status new => resolved
2016-01-08 12:04 ludovic Fixed in Version => 2.3.6
2016-01-08 12:04 ludovic Resolution open => fixed
2016-01-08 12:04 ludovic Assigned To => ludovic